<!---
// Javascript code for moving Divs
// -------------------------------
var dragy,dragx=false;
var display_mode = 1;
var screenx, screeny;

var x = 170;
var y = 250;

var minx = 120, maxx = 200;
var miny = 230, maxy = 250;

var offset = 0;

function resize_screen()
{
// Remove out since this causes netscape to crash
//	document.body.style.overflow='hidden';  	

	screenx = document.body.clientWidth-2;
	screeny = document.body.clientHeight-4;
	maxy = screeny-100;
	maxx = screenx-200;
 
        set_x_bar();
	set_y_bar();
}

function mouse_down(mx)
{
	document.getElementById("hiddendiv").style.display="";
	if (mx=="x") {
		dragx=true;
		document.getElementById("hiddendiv").style.cursor="w-resize";
	}
	else	{
		dragy=true;
		document.getElementById("hiddendiv").style.cursor="s-resize";
	}
}

function mouse_up()
{
	dragx=dragy=false;
	document.getElementById("hiddendiv").style.display="none";
}

function mouse_move(e)
{
	if (dragx) {
		if (!e) Pos = window.event.clientX;
		else 	Pos = e.pageX;

		if (Pos < minx)	Pos = minx;
		if (Pos > maxx) Pos = maxx;

		x= Pos-2;
		set_x_bar();
		set_y_bar();
	}
	else if (dragy) {
		if (!e) Pos = window.event.clientY;
		else 	Pos = e.pageY;

		if (Pos < miny) Pos = miny;
	        if (Pos > maxy)	Pos = maxy;

		y = Pos-2;
		set_y_bar();
	}
}

function set_x_bar()
{
	document.getElementById("hiddendiv").style.width = (screenx-offset) +"px";

	document.getElementById("comp_menu").style.width = (screenx) +"px";
	document.getElementById("comp_header").style.width = (screenx-191-6-3+offset) +"px";

	document.getElementById("comp_spell").style.width = (screenx-3-10) +"px";	
	document.getElementById("comp_addr").style.width = (screenx-3) +"px";	
	document.getElementById("comp_group").style.width = (screenx-3) +"px";	
}

function set_y_bar()
{
	document.getElementById("hiddendiv").style.height = (screeny-offset) +"px";

	document.getElementById("comp_spell").style.top = 30 + "px";
	document.getElementById("comp_spell").style.height = 155 +"px";

	document.getElementById("comp_addr").style.height = (screeny-183) +"px";
	document.getElementById("comp_group").style.height = (screeny-173) +"px";
}

// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------

// Change Screen to display in selected mode:
// 0 - Address Book Display.
// 1 - Group Display.

function set_display_mode(mode)
{
	if (display_mode == mode)
		return ;

	display_mode = mode;
	if (display_mode == 0) {	
		document.getElementById("comp_header").style.visibility = 'visible';

		document.getElementById("comp_addr").style.visibility = 'visible';
		document.getElementById("comp_group").style.visibility = 'hidden';
		document.getElementById("comp_spell").style.visibility = 'hidden';
	}
	else if (display_mode == 1) {
		document.getElementById("comp_header").style.visibility = 'visible';

		document.getElementById("comp_addr").style.visibility = 'hidden';
		document.getElementById("comp_group").style.visibility = 'visible';
		document.getElementById("comp_spell").style.visibility = 'hidden';
	}
	else if (display_mode == 2) {
		document.getElementById("comp_header").style.visibility = 'visible';

		document.getElementById("comp_addr").style.visibility = 'hidden';
		document.getElementById("comp_group").style.visibility = 'hidden';
		document.getElementById("comp_spell").style.visibility = 'visible';
	}

	set_x_bar();
	set_y_bar();		
}

// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------

// -->

